%global plugin_name workflow-api

Summary:    Plugin that defines Pipeline API
Name:       jenkins-plugin-%{plugin_name}
Version:    2.13
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+API+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-workflow-step-api

%description
Plugin that defines Pipeline API.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.13 - 2.13-10
- rebuilt

* Thu Jul 06 2017 root - 2.18-1
- Update to 2.18

* Wed Jun 28 2017 root - 2.17-1
- Update to 2.17

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.13-1
- Update to 2.13

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 2.12-1
- Update to 2.12

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.12-1
- Update to 2.12

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 2.8-1
- Update to 2.8

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.5-1
- Update to latest version

* Tue Jun 21 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Update to 2.1

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Initial package
